# Carts Carts ## Creates a new cart record that does not already exist. - [POST /carts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/createcart.md): This method will auto-generate an ID and create a new cart. If an ID is specified for the cart, an error will be thrown. ## Execute Batch Operations - [POST /carts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a cart from the system by its ID. - [DELETE /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/deletecart.md): This method will delete a cart with the specified ID. ## Returns a cart from the system by its ID. - [GET /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/getcart.md): This method will look up a cart by the specified ID and return it back. ## Partially updates a cart with the specified ID. - [PATCH /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/patchcart.md): This method will patch an existing cart with the specified ID, using the HTTP PATCH specification. ## Updates a cart with the specified ID. - [PUT /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/updatecart.md): This method will update an existing cart with the specified ID.